sprintf(3)

NAME
sprintf, vsprintf - string print formatted

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <stdio.h>

int sprintf(char *restrict str,
            const char *restrict format, ...);
int vsprintf(char *restrict str,
            const char *restrict format, va_list ap);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

snprintf(), vsnprintf():
    _XOPEN_SOURCE >= 500 || _ISOC99_SOURCE
        || /* glibc <= 2.19: */ _BSD_SOURCE

DESCRIPTION
These functions are equivalent to snprintf(3) and vsnprintf(3), except that no check for buffer overrun is performed (see BUGS below).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe locale

STANDARDS
C11, POSIX.1-2008.

HISTORY
C89, POSIX.1-2001.

BUGS
See printf(3).

  sprintf(), vsprintf()
Because sprintf() and vsprintf() assume an arbitrarily long string, callers must be careful not to overflow the actual space; this is often impossible to assure. Note that the length of the strings produced is locale-dependent and difficult to predict. Use snprintf() and vsnprintf() instead (or asprintf(3) and vasprintf(3)).

SEE ALSO
asprintf(3), snprintf(3)